import React from 'react';
import purebem from 'purebem';
import FoundationFormControlGroupContext from './FoundationFormControlGroupContext';
import './FoundationFormControlGroupSection.scss';
export default function FoundationFormControlGroupSection(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$description = _ref.description,
      description = _ref$description === void 0 ? null : _ref$description,
      _ref$layout = _ref.layout,
      layout = _ref$layout === void 0 ? 'column' : _ref$layout,
      _ref$showDivider = _ref.showDivider,
      showDivider = _ref$showDivider === void 0 ? true : _ref$showDivider,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? null : _ref$title;
  var block = purebem('foundation-form-control-group-section');
  var context = React.useMemo(function () {
    return {
      layout: layout
    };
  }, [layout]);
  return /*#__PURE__*/React.createElement("div", {
    className: block({
      divider: showDivider
    })
  }, title !== null && title !== '' ? /*#__PURE__*/React.createElement("div", {
    className: block('title')
  }, title) : null, description !== null && description !== '' ? /*#__PURE__*/React.createElement("div", {
    className: block('description')
  }, description) : null, /*#__PURE__*/React.createElement("div", {
    className: block('group', {
      layout: layout
    })
  }, /*#__PURE__*/React.createElement(FoundationFormControlGroupContext.Provider, {
    value: context
  }, children)));
}
//# sourceMappingURL=FoundationFormControlGroupSection.js.map