import React from 'react';
import purebem from 'purebem';
import FoundationFormControlGroupContext from './FoundationFormControlGroupContext';
import './FoundationFormControl.scss';
export default function FoundationFormControl(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children;
  var context = React.useContext(FoundationFormControlGroupContext);
  var block = purebem('foundation-form-control');
  return /*#__PURE__*/React.createElement("div", {
    className: block({
      empty: children === null,
      layout: context.layout
    })
  }, children);
}
//# sourceMappingURL=FoundationFormControl.js.map